summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-02-14 07:07:11 +0100
committerHans de Graaff <graaff@gentoo.org>2019-02-14 07:07:11 +0100
commit05eaec2ab95979000c065efa14d665e51c7f26f5 (patch)
tree4b892086afebe1638f24a6558e9288cdb0901ebb
parentnet-fs/autofs: fix systemd issue (diff)
downloadgentoo-05eaec2ab95979000c065efa14d665e51c7f26f5.tar.gz
gentoo-05eaec2ab95979000c065efa14d665e51c7f26f5.tar.bz2
gentoo-05eaec2ab95979000c065efa14d665e51c7f26f5.zip
dev-ruby/faker: add 1.9.3
Signed-off-by: Hans de Graaff <graaff@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
-rw-r--r--dev-ruby/faker/Manifest1
-rw-r--r--dev-ruby/faker/faker-1.9.3.ebuild29
2 files changed, 30 insertions, 0 deletions
diff --git a/dev-ruby/faker/Manifest b/dev-ruby/faker/Manifest
index 88a25229102..ccc282dd668 100644
--- a/dev-ruby/faker/Manifest
+++ b/dev-ruby/faker/Manifest
@@ -1 +1,2 @@
DIST faker-1.9.1.tar.gz 677933 BLAKE2B e26c0af68fec712fe22a4510f4d9e7af689f7473fa6fcc208d7784aa0e50f10834ee6cf4ccfaef5bf63ed26cfe9bbe0c06492fb0aafb5850002b8c26f06cd31b SHA512 f7363d795b3b3462bc331a591740227e1ae0852d2dd02ac9b0648244ee55e52967422b55e38d4b72e1b7a2b2758151481844a83a3461f820f5f434269cda2367
+DIST faker-1.9.3.tar.gz 974178 BLAKE2B 456cff1c57de07f6f0a5d068e45bcc76db6205bd3ab91aae12584bd5342d6ab0ce7e35f7d681915eab371f4211cc1d24443d5496dd31c8a406d73119aed56828 SHA512 b521372e152ce035363e31b140085210bd78763aa45d9e37867b727accd868fcaea7c5b5c07a5795e859dcdbf48ca49233083de231f771e6b7ae7705487c9e32
diff --git a/dev-ruby/faker/faker-1.9.3.ebuild b/dev-ruby/faker/faker-1.9.3.ebuild
new file mode 100644
index 00000000000..42cf62d0cc2
--- /dev/null
+++ b/dev-ruby/faker/faker-1.9.3.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+
+RUBY_FAKEGEM_GEMSPEC="faker.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A library for generating fake data such as names, addresses, and phone numbers"
+HOMEPAGE="https://github.com/stympy/faker"
+SRC_URI="https://github.com/stympy/faker/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="test"
+
+ruby_add_rdepend ">=dev-ruby/i18n-0.7:*"
+
+ruby_add_bdepend "test? ( dev-ruby/timecop )"
+
+all_ruby_prepare() {
+ sed -i -e '/simplecov/,/^end/ s:^:#:' test/test_helper.rb || die
+}